| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
OS_TCB Struct Reference

## Detailed Description

Definition at line 939 of file os.h.

`#include "os.h"`

## Data Fields
CPU_STK * | StkPtr
void * | ExtPtr
CPU_STK * | StkLimitPtr
OS_TCB * | NextPtr
OS_TCB * | PrevPtr
OS_TCB * | TickNextPtr
OS_TCB * | TickPrevPtr
OS_TICK_SPOKE * | TickSpokePtr
CPU_CHAR * | NamePtr
CPU_STK * | StkBasePtr
OS_TASK_PTR | TaskEntryAddr
void * | TaskEntryArg
OS_PEND_DATA * | PendDataTblPtr
OS_STATE | PendOn
OS_STATUS | PendStatus
OS_STATE | TaskState
OS_PRIO | Prio
CPU_STK_SIZE | StkSize
OS_OPT | Opt
OS_OBJ_QTY | PendDataTblEntries
CPU_TS | TS
OS_SEM_CTR | SemCtr
OS_TICK | TickCtrPrev
OS_TICK | TickCtrMatch
OS_TICK | TickRemain
OS_TICK | TimeQuanta
OS_TICK | TimeQuantaCtr

## Field Documentation

void* ExtPtr

Definition at line 942 of file os.h.

CPU_CHAR* NamePtr

Definition at line 954 of file os.h.

OS_TCB* NextPtr

Definition at line 946 of file os.h.

OS_OPT Opt

Definition at line 972 of file os.h.

OS_OBJ_QTY PendDataTblEntries

Definition at line 974 of file os.h.

OS_PEND_DATA* PendDataTblPtr

Definition at line 965 of file os.h.

OS_STATE PendOn

Definition at line 966 of file os.h.

OS_STATUS PendStatus

Definition at line 967 of file os.h.

OS_TCB* PrevPtr

Definition at line 947 of file os.h.

OS_PRIO Prio

Definition at line 970 of file os.h.

OS_SEM_CTR SemCtr

Definition at line 978 of file os.h.

CPU_STK* StkBasePtr

Definition at line 956 of file os.h.

CPU_STK* StkLimitPtr

Definition at line 944 of file os.h.

CPU_STK* StkPtr

Definition at line 940 of file os.h.

CPU_STK_SIZE StkSize

Definition at line 971 of file os.h.

OS_TASK_PTR TaskEntryAddr

Definition at line 962 of file os.h.

void* TaskEntryArg

Definition at line 963 of file os.h.

OS_STATE TaskState

Definition at line 969 of file os.h.

OS_TICK TickCtrMatch

Definition at line 982 of file os.h.

OS_TICK TickCtrPrev

Definition at line 981 of file os.h.

OS_TCB* TickNextPtr

Definition at line 949 of file os.h.

OS_TCB* TickPrevPtr

Definition at line 950 of file os.h.

OS_TICK TickRemain

Definition at line 983 of file os.h.

OS_TICK_SPOKE* TickSpokePtr

Definition at line 952 of file os.h.

OS_TICK TimeQuanta

Definition at line 985 of file os.h.

OS_TICK TimeQuantaCtr

Definition at line 986 of file os.h.

CPU_TS TS

Definition at line 976 of file os.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/ucos_iii/Micrium/Software/uCOS-III/Source/os.h